#### D.14.7.7 boolean_ideal

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  boolean_ideal(Is[, rb]); Is Ideal, rb boolean ring

Return:
  default: ideal Is in the representation of the boolean ring rb==boolean_poly_ring(basering); optional input: rb boolean ring

Example:

    LIB "polybori.lib";
    ring r0=2,x(1..4),lp;
    poly f1=x(1)^2+2*x(2)*(x(3))-x(4)^3;
    poly f2=x(1)^2-x(3)*x(1);
    poly f3=x(2)+5-2*x(1);
    poly f4=x(1)*x(2)-x(3);
    ideal I=f1,f2,f3,f4;
    boolean_ideal(I);
    ring r1=0,x,Dp;
    poly f1=x3+2*x+1;
    poly f2=x10-x5+2x;
    poly f3=19;
    ideal I=f1,f2,f3;
    boolean_ideal(I);
    ring r2=32003,(x,y,z),Dp;
    bring bbr2=r2;
    poly f1=xyz+20*x^2*y-3*xz+15;
    poly f2=32002*xy+z2;
    poly f3=19;
    ideal I=f1,f2,f3;
    boolean_ideal(I);
    boolean_ideal(I,bbr2);

See also: boolean_std.

User manual for Singular version 4.4.1, 2025, generated by texi2html.